
TextCritical.net - Feature #1205

Add English version of New Testament

02/19/2016 06:45 PM - Luke Murphey

Status: Closed Start date: 02/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4   

Description

History

#1 - 03/21/2016 05:55 AM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 3.0

#2 - 03/21/2016 05:56 AM - Luke Murphey

- Target version changed from 3.0 to 1.4

#3 - 03/21/2016 06:48 AM - Luke Murphey

Getting an error:

Traceback (most recent call last):

  File "manage.py", line 10, in <module>

    execute_from_command_line(sys.argv)

  File "/Library/Python/2.7/site-packages/django/core/management/__init__.py", line 354, in execute_from_comma

nd_line

    utility.execute()

  File "/Library/Python/2.7/site-packages/django/core/management/__init__.py", line 346, in execute

    self.fetch_command(subcommand).run_from_argv(self.argv)

  File "/Library/Python/2.7/site-packages/django/core/management/base.py", line 394, in run_from_argv

    self.execute(*args, **cmd_options)

  File "/Library/Python/2.7/site-packages/django/core/management/base.py", line 445, in execute

    output = self.handle(*args, **options)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/management/commands/import_unbound_

bible.py", line 38, in handle

    importer.import_file(filename)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/unbound_bible.py", line 21

6, in import_file

    ImportTransforms.run_transforms(self.work, transforms)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/batch_import.py", line 375

, in run_transforms

    fx(work=work, **arguments)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/batch_import.py", line 191

, in set_meta_data

    work.save()

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/models.py", line 77, in save

    super(Work, self).save(*args, **kwargs)

  File "/Library/Python/2.7/site-packages/django/db/models/base.py", line 734, in save

    force_update=force_update, update_fields=update_fields)

  File "/Library/Python/2.7/site-packages/django/db/models/base.py", line 762, in save_base

    updated = self._save_table(raw, cls, force_insert, force_update, using, update_fields)

  File "/Library/Python/2.7/site-packages/django/db/models/base.py", line 827, in _save_table

    forced_update)

  File "/Library/Python/2.7/site-packages/django/db/models/base.py", line 877, in _do_update

    return filtered._update(values) > 0

  File "/Library/Python/2.7/site-packages/django/db/models/query.py", line 580, in _update

    return query.get_compiler(self.db).execute_sql(CURSOR)

  File "/Library/Python/2.7/site-packages/django/db/models/sql/compiler.py", line 1062, in execute_sql

    cursor = super(SQLUpdateCompiler, self).execute_sql(result_type)
  File "/Library/Python/2.7/site-packages/django/db/models/sql/compiler.py", line 840, in execute_sql

    cursor.execute(sql, params)

  File "/Library/Python/2.7/site-packages/django/db/backends/utils.py", line 79, in execute

    return super(CursorDebugWrapper, self).execute(sql, params)

  File "/Library/Python/2.7/site-packages/django/db/backends/utils.py", line 64, in execute

    return self.cursor.execute(sql, params)

  File "/Library/Python/2.7/site-packages/django/db/utils.py", line 98, in __exit__

    six.reraise(dj_exc_type, dj_exc_value, traceback)

  File "/Library/Python/2.7/site-packages/django/db/backends/utils.py", line 64, in execute

    return self.cursor.execute(sql, params)

  File "/Library/Python/2.7/site-packages/django/db/backends/sqlite3/base.py", line 318, in execute

    return Database.Cursor.execute(self, query, params)

django.db.utils.IntegrityError: UNIQUE constraint failed: reader_work.title_slug

#4 - 03/21/2016 06:55 AM - Luke Murphey

Ok, this imported this time.

Some things that need fixing:

No editors are listed

I don't believe it is being recognized as english (the morpho parsing dialog is showing up)

It is not listed as being a translation of the Greek

Search indexes don't exist yet

#5 - 03/21/2016 06:59 AM - Luke Murphey

- % Done changed from 0 to 50

#6 - 03/21/2016 07:44 AM - Luke Murphey

Can use RelatedWork.autodiscover() to find identical works. However, these are not being consider identical at the current time.

#7 - 03/26/2016 06:14 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 50 to 100
